import 'rxjs/add/operator/map';
import 'rxjs/add/operator/catch';
import { HttpClient } from '@angular/common/http';
export declare class LoggerConfig {
    level: NgxLoggerLevel;
    serverLogLevel: NgxLoggerLevel;
    serverLoggingUrl?: string;
}
export declare enum NgxLoggerLevel {
    TRACE = 0,
    DEBUG = 1,
    INFO = 2,
    LOG = 3,
    WARN = 4,
    ERROR = 5,
    OFF = 6,
}
export declare class NGXLogger {
    private http;
    private platformId;
    private options;
    private _serverLogLevel;
    private _clientLogLevel;
    private _isIE;
    constructor(http: HttpClient, platformId: any, options: LoggerConfig);
    trace(message: any, ...additional: any[]): void;
    debug(message: any, ...additional: any[]): void;
    info(message: any, ...additional: any[]): void;
    log(message: any, ...additional: any[]): void;
    warn(message: any, ...additional: any[]): void;
    error(message: any, ...additional: any[]): void;
    private _timestamp();
    private _logOnServer(level, message, additional);
    private _logIE(level, message, additional);
    private _log(level, logOnServer, message, additional?);
    private _getColor(level);
}
